﻿using System;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace TestWithPolish
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            ShapeFileFeatureLayer worldFeatureLayer = new ShapeFileFeatureLayer(@"C:\Program Files\ThinkGeo\Map Suite Web Evaluation Edition 3.0\Samples\CSharp Samples\SampleData\World\cntry02.shp");
            worldFeatureLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1;
            worldFeatureLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            ShapeFileFeatureLayer USFeatureLayer = new ShapeFileFeatureLayer(@"C:\Program Files\ThinkGeo\Map Suite Web Evaluation Edition 3.0\Samples\CSharp Samples\SampleData\USa\STATES.shp");
            USFeatureLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.County1;
            USFeatureLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            Map1.MapUnit = GeographyUnit.DecimalDegree;
            Map1.StaticOverlay.Layers.Add(worldFeatureLayer);
            Map1.StaticOverlay.Layers.Add(USFeatureLayer);
        }

        protected void Map1_Click(object sender, MapClickedEventArgs e)
        {

        }
    }
}
